# SWDB

# \HTML

HTML helper.

Contains utilities to parse and format HTML and to build elements.

## Summary

Methods
Properties
Constants
e()
unit_panel()
unit_transformation_panel()
rune_panel()
rune_table()
craft_panel()
building_panel()
item_panel()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A
final

File
  application/helper/HTML_Helper.php
Package
  Default
Class hierarchy
  \Helper
  \HTML

## Tags

category | Helper.

## Methods

### e()

    e(string  $input) : string

Escapes HTML characters

Alias for htmlspecialchars([input], ENT_QUOTES)

#### Parameters

string | $input | Text to escape.

#### Returns

string —

Escaped text.

#

static

## Tags

None found

### unit_panel()

    unit_panel(  $unit) : string

Generates a unit panel.

#### Parameters

| $unit |

#### Returns

string —

HTML content for a monster panel. Empty on error.

#

static

## Tags

None found

### unit_transformation_panel()

    unit_transformation_panel(  $unit) : string

Generates a transformed monster panel.

#### Parameters

| $unit |

#### Returns

string —

HTML content for a monster panel. Empty on error.

#

static

## Tags

None found

### rune_panel()

    rune_panel(  $rune,   $unit = null) : string

Generates a rune panel.

#### Parameters

| $rune |
| $unit |

#### Returns

string —

HTML content for a rune panel. Empty on error.

#

static

## Tags

None found

### rune_table()

    rune_table(  $rune,   $unit = null) : string

Generates a rune table.

#### Parameters

| $rune |
| $unit |

#### Returns

string —

HTML content for a rune table. Empty on error.

#

static

## Tags

None found

### craft_panel()

    craft_panel(  $craft) : string

Generates a grindstone or gem panel.

#### Parameters

| $craft |

#### Returns

string —

HTML content for a rune panel. Empty on error.

#

static

## Tags

None found

### building_panel()

    building_panel(\Building|\Decoration|\K_Building|\K_Decoration  $building) : string

Generates a building panel.

#### Parameters

\Building|\Decoration|\K_Building|\K_Decoration | $building | Entity to get the info from.

#### Returns

string —

HTML content for a building panel. Empty on error.

#

static

## Tags

None found

### item_panel()

    item_panel(\Inventory  $item) : string

Generates a item panel.

#### Parameters

\Inventory | $item | Entity to get the info from.

#### Returns

string —

HTML content for a building panel. Empty on error.

#

static

## Tags

None found

### HTML_Helper.php